/* COULEUR PRINCIPALE : #719F41 */

/* LOGO PRINCIPAL */
#_desktop_logo {
    width: fit-content;
}

#_desktop_logo img {
    height: 200px !important;
    width: 100%;
}

/* MAIN */
@media (min-width: 1500px) {
    .container {
        width: 1440px;
        max-width: 100%;
    }
}

/* CAROUSEL*/
@media (min-width: 768px) {
    #carousel {
        height: 500px !important;
    }

    .carousel .carousel-inner,
    .carousel .carousel-item,
    .carousel .carousel-item figure,
    .carousel .carousel-item figure a,
    .carousel .carousel-item figure figcaption {
        width: 100% !important;
        height: 100% !important;
    }

    .carousel .carousel-item img {
        width: 100% !important;
        max-width: 100% !important;
        height: auto !important;
        max-height: none !important;
        object-fit: contain !important;
        object-position: bottom !important;
    }

    .carousel .carousel-item .caption {
        position: absolute !important;
        left: 0 !important;
        margin: 1.275rem auto 2.5rem !important;
        padding: 25px !important;
        height: fit-content !important;
        max-width: 100% !important;
        text-align: center;
    }

    .carousel .carousel-item .caption a,
    .carousel .carousel-item .caption .display-1 {
        color: #FFFFFF !important;
        font-size: 2rem;
        font-weight: 500;
    }

    .carousel-indicators {
        display: block !important;
    }
}

@media (max-width: 768px) {
    #carousel {
        height: 500px !important;
    }

    .carousel .carousel-inner,
    .carousel .carousel-item,
    .carousel .carousel-item figure,
    .carousel .carousel-item figure a,
    .carousel .carousel-item figure figcaption {
        width: 100% !important;
        height: 100% !important;
    }

    .carousel .carousel-item img {
        width: unset !important;
        max-width: unset !important;
        height: 100% !important;
        max-height: none !important;
        object-fit: contain !important;
        object-position: bottom !important;
    }

    .carousel .carousel-item .caption {
        position: absolute !important;
        left: 0 !important;
        padding: 25px !important;
        margin: 1.275rem auto 2.5rem !important;
        height: fit-content !important;
        max-width: unset !important;
    }

    .carousel .carousel-item .caption a,
    .carousel .carousel-item .caption .display-1 {
        color: #FFFFFF !important;
    }
}

/* BARRE DE NAVIGATION */
@media (min-width: 768px) {
    .header-top-right .menu {
        display: none !important;
    }

    header .menu {
        position: relative !important;
        padding: 0px !important;
        text-align: center;
        width: 100%;
    }

    header .menu a {
        color: #7A7A7A !important;
        text-transform: uppercase;
    }

    header .menu a:hover {
        color: #719F41 !important;
    }

    header .top-menu {
        position: relative;
        display: flex !important;
        flex-wrap: wrap !important;
        justify-content: center !important;
    }

    header .sub-menu {
        position: absolute;
        top: 100%;
        width: 100% !important;
        margin: 0px !important;
    }
}

.header-nav {
    background-color: #333333 !important;;
}

.header-nav a {
    color: #FFFFFF !important;
}

.header-nav a:hover {
    color: #719F41 !important;
}

.blockcart a:hover {
    color: #000000 !important;
}

#search_widget {
    width: 80%;
    max-width: 80%;
    margin: auto auto 20px auto !important;
    float: none !important;
}

/* FOOTER */
#footer {
    background-color: #333333 !important;
}

#footer .h3 {
    color: #719F41 !important;
}

#footer .h3 a {
    color: #719F41 !important;
}

#footer .h4 {
    color: #719F41 !important;
}

#footer .footer-container .container .row p a {
    display: none;
}

/* COULEUR */
.product-flag.on-sale,
.product-flag.discount {
    background-color: #719F41 !important;
}

.discount {
    background-color: #719F41 !important;
}

.current-price-value {
    color:#719F41 !important;
}

/* BLOC HTML PERSONNALISÉ */
.cms_left,
.cms_right {
    flex: 1;
}

.cms_right {
    display: flex;
    flex-wrap: wrap;
    gap: 50px;
    justify-content: center;
    align-items: center;
    margin-top: 2%;
}

#cmsinfo_block h1 {
    font-size: 24px;
    margin-bottom: 15px;
}

.cms-contact {
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}

.contact-item {
  display: flex;
  width: fit-content;
  align-items: center;
  gap: 10px;
  margin-bottom: 10px;
}

.contact-item a {
  color: #719f41;
  text-decoration: none;
}

.contact-item strong {
  color: #719f41;
}

.feature {
    gap: 15px;
    margin-bottom: 25px;
    width: 30%;
    max-width: 30%;
}

.feature h3 {
    margin: 0 0 5px;
    font-size: 18px;
    margin-top: 2%;
}

.feature p {
    margin: 0;
}

.icon-round {
    background-color: #719f41;
    color: white;
    border: 1px solid #719f41;
    border-radius: 25px;
    width: fit-content;
    padding: 8px;
    margin: auto;
}

@media (max-width: 1200px) {
    .feature {
        min-width: 100%;
        width: 100%;
        max-width: 100%;
    }
}

/* IMAGES CATEGORIES */
.subcategories-list li {
  margin-bottom: 25px;
}

.subcategories-list .subcategory-image {
  border-radius: 10px;
  overflow: hidden;
}

.subcategories-list .subcategory-image img {
  width: 100%;
  height: 200px;
  object-fit: cover !important;
  object-position: center !important;
  transition: transform 0.3s ease;
}

.subcategories-list .subcategory-image:hover img {
  transform: scale(1.05);
}

/* IMAGES SOUS-CATÉGORIES */
.block-category-inner {
    flex-wrap: wrap;
}

.block-category .category-cover img {
  width: 100% !important;
  height: clamp(100px, 20vw, 250px) !important;
  object-fit: cover;
  object-position: center;
}

/* CUSTOM SLIDEBARS */
#custom-slidebar-promotions,
#custom-slidebar-viewedproducts {
    margin-top: 25px;
    border-top: 1px solid #719F41;
    padding: 25px;
}


@media (max-width: 768px) {
    #custom-slidebar-promotions,
    #custom-slidebar-viewedproducts {
        display: none;
    }
}

/* PAGES */
.page-content p {
    line-height: 1.75;
}